com.io7m.jregions.core.parameterized.sizes

## Class PAreaSizeI.Builder<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PAreaSizeI.Builder<S>

- Enclosing class:
    PAreaSizeI<S>

      public static final class PAreaSizeI.Builder<S>
      extends Object

  Builds instances of type `PAreaSizeI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAreaSizeI<S>` | `build()` Builds a new `PAreaSizeI`.
    `PAreaSizeI.Builder<S>` | `from(PAreaSizeIType<S> instance)` Fill a builder with attribute values from the provided `PAreaSizeIType` instance.
    `PAreaSizeI.Builder<S>` | `setHeight(int height)` Initializes the value for the `height` attribute.
    `PAreaSizeI.Builder<S>` | `setWidth(int width)` Initializes the value for the `width` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PAreaSizeI.Builder<S> from(PAreaSizeIType<S> instance)

      Fill a builder with attribute values from the provided `PAreaSizeIType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setWidth

          public final PAreaSizeI.Builder<S> setWidth(int width)

      Initializes the value for the `width` attribute.
      Parameters:
        `width` - The value for width
      Returns:
        `this` builder for use in a chained invocation

    - #### setHeight

          public final PAreaSizeI.Builder<S> setHeight(int height)

      Initializes the value for the `height` attribute.
      Parameters:
        `height` - The value for height
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PAreaSizeI<S> build()

      Builds a new `PAreaSizeI`.
      Returns:
        An immutable instance of PAreaSizeI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com